<?php
/**
 * The template for displaying Archive pages.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package Narcissism
 */

get_header(); ?>
    <main id="primary" class="site-main" role="main">

		<?php if ( have_posts() ) : ?>
			<header class="page-header">
				<h1 class="page-title">
					<?php					
                    if ( is_category() ) :
                        printf( __( 'Category: %s', 'narcissism' ), single_cat_title( null, false ) );
                    
                    elseif ( is_tag() ) :
                        printf( __( 'Tag: %s', 'narcissism' ), single_tag_title( null, false ) );
                    
                    elseif ( is_author() ) :
                        printf( __( 'Author: %s', 'narcissism' ), '<span class="vcard">' . get_the_author() . '</span>' );
                    
                    elseif ( is_day() ) :
                        printf( __( 'Day: %s', 'narcissism' ), '<span>' . get_the_date() . '</span>' );
                    
                    elseif ( is_month() ) :
                        printf( __( 'Month: %s', 'narcissism' ), '<span>' . get_the_date( _x( 'F Y', 'monthly archives date format', 'narcissism' ) ) . '</span>' );
                    
                    elseif ( is_year() ) :
                        printf( __( 'Year: %s', 'narcissism' ), '<span>' . get_the_date( _x( 'Y', 'yearly archives date format', 'narcissism' ) ) . '</span>' );
                    
                    elseif ( is_tax( 'post_format', 'post-format-aside' ) ) :
                        _e( 'Asides', 'narcissism' );
                    
                    elseif ( is_tax( 'post_format', 'post-format-gallery' ) ) :
                        _e( 'Galleries', 'narcissism');
                    
                    elseif ( is_tax( 'post_format', 'post-format-image' ) ) :
                        _e( 'Images', 'narcissism');
                    
                    elseif ( is_tax( 'post_format', 'post-format-video' ) ) :
                        _e( 'Videos', 'narcissism' );
                    
                    elseif ( is_tax( 'post_format', 'post-format-quote' ) ) :
                        _e( 'Quotes', 'narcissism' );
                    
                    elseif ( is_tax( 'post_format', 'post-format-link' ) ) :
                        _e( 'Links', 'narcissism' );
                    
                    elseif ( is_tax( 'post_format', 'post-format-status' ) ) :
                        _e( 'Statuses', 'narcissism' );
                    
                    elseif ( is_tax( 'post_format', 'post-format-audio' ) ) :
                        _e( 'Audios', 'narcissism' );
                    
                    elseif ( is_tax( 'post_format', 'post-format-chat' ) ) :
                        _e( 'Chats', 'narcissism' );
                    
                    else :
                        _e( 'Archives', 'narcissism' );
                    
                    endif;
					?>
				</h1>
			</header><!-- .page-header -->

			<?php /* Start the Loop */ ?>
			<?php while ( have_posts() ) : the_post(); ?>

				<?php
				/* Include the Post-Format-specific template for the content.
				 * If you want to override this in a child theme, then include a file
				 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
				 */
				get_template_part( 'content', get_post_format() );
				?>

			<?php endwhile; ?>

			<?php narcissism_paging_nav(); ?>

		<?php else : ?>

			<?php get_template_part( 'content', 'none' ); ?>

		<?php endif; ?>

    </main><!-- #primary -->
</div><!-- .main-wrapper -->