<?php
/**
 * The template part for displaying a message that posts cannot be found.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package Narcissism
 */
?>

<section class="no-results not-found">
    <?php if ( is_home() && current_user_can( 'publish_posts' ) ) : ?>
        <header class="page-header">
		    <h1 class="page-title"><?php _e( 'Nothing Found', 'narcissism' ); ?></h1>
        </header><!-- .page-header -->

        <div class="page-content">
            <p><?php printf( __( 'Ready to publish your first post? <a href="%1$s">Get started here</a>.', 'narcissism' ),
                esc_url( admin_url( 'post-new.php' ) ) ); ?></p>
        </div>
    <?php elseif ( is_search() ) : ?>
        <header class="page-header">
            <h1 class="page-title"><?php printf( __( 'No Results for &ldquo;%s&rdquo;', 'narcissism' ), '<span>' . get_search_query() . '</span>' ); ?></h1>
        </header>
        
        <div class="page-content">
            <p><?php _e( 'Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'narcissism' ); ?></p>
            
            <?php get_search_form(); ?>
        </div>
    <?php else : ?>
        <header class="page-header">
            <h1 class="page-title"><?php _e( 'Nothing Found', 'narcissism' ); ?></h1>
        </header>
        
        <div class="page-content">
            <p><?php _e( 'It seems we can&rsquo;t find what you&rsquo;re looking for. Why not try a search?', 'narcissism' ); ?></p>
            <?php get_search_form(); ?>
        </div>
    <?php endif; ?>
</section><!-- .no-results -->