<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after
 *
 * @package Narcissism
 */
?>

<footer id="colophon" class="site-footer" role="contentinfo">
    <div class="site-info">
    	<?php
        $narcissism_options = get_option( 'narcissism_theme_options' );
        $narcissism_footer_text = esc_attr( $narcissism_options[ 'footer_text' ] );
        
        if ( ! $narcissism_footer_text ) : ?>
    	    <a href="<?php echo esc_url( __( 'http://wordpress.org/', 'narcissism' ) ); ?>"><?php printf( __( 'Proudly powered by %s', 'narcissism' ), 'WordPress' ); ?></a>
            <span class="sep"> | </span>
            <?php printf( __( 'Theme: %1$s by %2$s', 'narcissism' ), 'Narcissism', 'Stephen Dickinson' ); ?>
        <?php else : ?>
            <span><?php echo stripslashes( htmlspecialchars_decode( $narcissism_footer_text ) ); ?></span>
        <?php endif; ?>
    </div><!-- .site-info -->
</footer><!-- #colophon -->

<?php wp_footer(); ?>