<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package Narcissism
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title><?php wp_title( '|', true, 'right' ); ?></title>
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<div class="main-wrapper">
    <header id="masthead" class="site-header" role="banner">
        <div class="site-branding">
        	<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
        	<p class="site-description"><?php bloginfo( 'description' ); ?></p>
        </div>
    
        <a class="skip-link screen-reader-text" href="#primary"><?php _e( 'Skip to content', 'narcissism' ); ?></a>
        
        <div id="toggles">
            <div id="menu-toggle">
                <span class="genericon genericon-menu"></span>
            </div>
            
            <div id="sidebar-toggle">
                <span class="genericon genericon-gallery"></span>
            </div>
        </div>
        
        <div id="menu-dropdown">
            <nav id="site-navigation" class="main-navigation" role="navigation">
        	    <?php wp_nav_menu( array( 'theme_location' => 'primary' ) ); ?>
            </nav><!-- #site-navigation -->
        </div>
        
        <div id="sidebar-dropdown">
            <?php get_sidebar(); ?>
        </div>
        
        <?php get_footer(); ?>
    </header><!-- #masthead -->